import { Ref } from 'vue';
/** 经过main.ts初始化后去除响应式的DefParams值 */
export declare let defParams: SystemParametersType;
/** 系统培训初始化函数 */
export declare const InitSys: (Options: any) => void;
/** Props传参初始化 */
export declare const Initializer: (props: any) => void;
/** 系统参数 */
export declare function UseParam(): {
    debug: Ref<boolean>;
    mainMaxHeight: Ref<number>;
    Table_isOpenIndex: Ref<boolean>;
    Table_isOpenMultipleSelection: Ref<boolean>;
    Table_isOpenExpand: Ref<boolean>;
    Table_ExpandColumn: Ref<number>;
    Table_IsShowMenu: Ref<boolean>;
    Table_MenuWidth: Ref<number>;
    Table_MenuAlign: Ref<"left" | "center" | "right">;
    Page_PageSizes: Ref<number[]>;
    Page_PageParams: Ref<{
        current: number;
        pageSize: number;
        total: number;
    }>;
    Page_Layout: Ref<string>;
    Page_isHideOnSinglePage: Ref<boolean>;
    isOpenSearchForm: Ref<boolean>;
    Form_LabelWidth: Ref<number>;
    Dialog_Width: Ref<number>;
    Dialog_isFullscreen: Ref<boolean>;
    Dialog_isCloseOnPressEscape: Ref<boolean>;
    Dialog_isCloseOnClickModal: Ref<boolean>;
    Dialog_isFooterButton: Ref<boolean>;
    isAfterMountQuery: Ref<boolean>;
    ApiName: Ref<{
        query: string;
        add: string;
        edit: string;
        delete: string;
        deleteFlag: string;
        remove: string;
    }>;
    Permission: Ref<{
        add: string;
        edit: string;
        delete: string;
        deleteFlag: string;
        remove: string;
    }>;
    Permissions: Ref<string[]>;
};
/** 组件参数 */
export declare function UseState(): {
    CompRef: Ref<any>;
    Mode: Ref<any>;
    DialogVisible: Ref<any>;
    tableLoading: Ref<any>;
    submitLoading: Ref<any>;
    DialogVisibleFooterButton: Ref<any>;
    ElementArrs: Ref<any>;
    tableColumn: Ref<any>;
    originalData: Ref<any>;
    tableData: Ref<any>;
    multipleSelection: Ref<any>;
    uploadFiles: Ref<any>;
    initSearchModel: Ref<any>;
    initEditModel: Ref<any>;
    searchFormValue: Ref<any>;
    searchModel: Ref<any>;
    editFormValue: Ref<any>;
    editModel: Ref<any>;
};
/** Props参数 */
export declare function UseProps(): {
    url: Ref<any>;
    source: Ref<any>;
    rowKey?: Ref<any> | undefined;
    rowKeys?: Ref<any> | undefined;
    keyName?: Ref<any> | undefined;
    watchData?: Ref<any> | undefined;
    hooks?: Ref<any> | undefined;
    wrapperStyle?: Ref<any> | undefined;
    debug?: Ref<any> | undefined;
    mainMaxHeight?: Ref<any> | undefined;
    isAfterMountQuery?: Ref<any> | undefined;
    isOpenSearchForm?: Ref<any> | undefined;
    Form_LabelWidth?: Ref<any> | undefined;
    Dialog_Width?: Ref<any> | undefined;
    Dialog_isFullscreen?: Ref<any> | undefined;
    Dialog_isCloseOnPressEscape?: Ref<any> | undefined;
    Dialog_isCloseOnClickModal?: Ref<any> | undefined;
    Dialog_isFooterButton?: Ref<any> | undefined;
    Table_Attributes?: Ref<any> | undefined;
    Table_isOpenIndex?: Ref<any> | undefined;
    Table_isOpenMultipleSelection?: Ref<any> | undefined;
    Table_isOpenExpand?: Ref<any> | undefined;
    Table_ExpandColumn?: Ref<any> | undefined;
    Page_PageSizes?: Ref<any> | undefined;
    Page_PageParams?: Ref<any> | undefined;
    Page_Layout?: Ref<any> | undefined;
    Page_isHideOnSinglePage?: Ref<any> | undefined;
    ApiName?: Ref<any> | undefined;
    Permission?: Ref<any> | undefined;
    Permissions?: Ref<any> | undefined;
};
/** 增删改查等操作方法 */
export declare const UseFun: () => {
    queryRecord: () => void;
    addRecord: () => void;
    editRecord: (row: any) => void;
    handleSubmit: (formEl: any) => Promise<void>;
    delFlag: (row: any) => void;
    deleteRecord: (row: any) => void;
    deleteMulRecord: () => void;
};
/** DeBug */
export declare function CrudDebug(...params: any): void;
